Support » Plugin: WooCommerce » Pay button error

  • Resolved bunty5000

    (@bunty5000)


    I click on the pay button in my order section, showing the error, how to fix it.

    Error-

    a. (Product name) Notice: Use WC_Order_Item_Product instead. in /home/buntyj37/public_html/wp-includes/functions.php on line 4435

    b. WC_Order::display_item_meta is deprecated since version 3.0! Use wc_display_item_meta instead. in /home/buntyj37/public_html/wp-includes/functions.php on line 4435

    *Error show on user order section, (when user click on pay button)

    • This topic was modified 3 months ago by bunty5000.
    • This topic was modified 3 months ago by bunty5000.
    • This topic was modified 3 months ago by bunty5000.
Viewing 1 replies (of 1 total)
  • Plugin Support Thomas Shellberg

    (@shellbeezy)

    Automattic Happiness Engineer

    Hi @bunty5000,

    First, those look like warnings and not actual PHP errors; you should hide them from your live site.

    https://aristath.github.io/blog/wp-hide-php-errors

    Those messages are likely coming from a plugin or a theme which is using outdated functions. I would make sure everything is updated. You can search through your site’s error logs to find out which plugins are calling these deprecated functions.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.